/* coded by Ketmar // Invisible Vector <ketmar@ketmar.no-ip.org>
 * Understanding is not required. Only obedience.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License ONLY.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
module icondata is aliced;


// ////////////////////////////////////////////////////////////////////////// //
static immutable uint[256] ctiOffline = [
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x26262626U,0xb0272427U,0xec262526U,0xec262526U,0xb2262626U,0x27262626U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x1c2b202bU,0xee272527U,0xff272527U,0xff000030U,0xff000033U,0xff272527U,0xee272527U,0x1c2b202bU,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x95262626U,0xff272527U,0xff00007dU,0xff0000fdU,0xff0000fdU,0xff000084U,0xff272527U,0x95262626U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xcc262526U,0xff000029U,0xff0000fdU,0xff0000fdU,0xff0000fdU,0xff0000fdU,0xff000028U,0xcc262526U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xe0272527U,0xfc272527U,0xff0000beU,0xff0000fdU,0xff0000fdU,0xff0000f8U,0xf2262526U,0xe0272527U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x3f282428U,0xe8272527U,0xff272527U,0xff00002eU,0xff000051U,0xff0000a9U,0xff00007fU,0xff272527U,0xe8272527U,0x3e262626U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x3c262626U,0xf2272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff000041U,0xfd272527U,0xff272527U,0xff272527U,0xff272527U,0xf3272527U,0x3a292329U,0x00000000U,
  0x00000000U,0x9d262526U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff000034U,0xff000034U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0x9c262626U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff000045U,0xff0000fdU,0xff0000fdU,0xff000045U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff000063U,0xff0000fdU,0xff0000fdU,0xff000063U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff00002cU,0xff0000c8U,0xff0000c3U,0xff00002cU,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff000067U,0xff0000fdU,0xff0000fdU,0xff00005fU,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff000029U,0xff0000fdU,0xff0000fdU,0xff0000fdU,0xff0000fbU,0xff000025U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff000031U,0xff0000fdU,0xff0000fdU,0xff0000fdU,0xff0000f8U,0xff000026U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0x8c272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff000031U,0xff000036U,0xff000036U,0xff000030U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0x8a272527U,0x00000000U,
  0x00000000U,0x25262626U,0xc0262626U,0xfe272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xc2262526U,0x21262626U,0x00000000U,
];

static immutable uint[256] ctiOnline = [
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x26262626U,0xb0272427U,0xec262526U,0xec262526U,0xb2262626U,0x27262626U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x1c2b202bU,0xee272527U,0xff272527U,0xff003000U,0xff003300U,0xff272527U,0xee272527U,0x1c2b202bU,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x95262626U,0xff272527U,0xff007d00U,0xff00fd00U,0xff00fd00U,0xff008400U,0xff272527U,0x95262626U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xcc262526U,0xff002900U,0xff00fd00U,0xff00fd00U,0xff00fd00U,0xff00fd00U,0xff002800U,0xcc262526U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xe0272527U,0xfc272527U,0xff00be00U,0xff00fd00U,0xff00fd00U,0xff00f800U,0xf2262526U,0xe0272527U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x3f282428U,0xe8272527U,0xff272527U,0xff002e00U,0xff005100U,0xff00a900U,0xff007f00U,0xff272527U,0xe8272527U,0x3e262626U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x3c262626U,0xf2272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff004100U,0xfd272527U,0xff272527U,0xff272527U,0xff272527U,0xf3272527U,0x3a292329U,0x00000000U,
  0x00000000U,0x9d262526U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff003400U,0xff003400U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0x9c262626U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff004500U,0xff00fd00U,0xff00fd00U,0xff004500U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff006300U,0xff00fd00U,0xff00fd00U,0xff006300U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff002c00U,0xff00c800U,0xff00c300U,0xff002c00U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff006700U,0xff00fd00U,0xff00fd00U,0xff005f00U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff002900U,0xff00fd00U,0xff00fd00U,0xff00fd00U,0xff00fb00U,0xff002500U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff003100U,0xff00fd00U,0xff00fd00U,0xff00fd00U,0xff00f800U,0xff002600U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0x8c272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff003100U,0xff003600U,0xff003600U,0xff003000U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0x8a272527U,0x00000000U,
  0x00000000U,0x25262626U,0xc0262626U,0xfe272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xc2262526U,0x21262626U,0x00000000U,
];

static immutable uint[256] ctiAway = [
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x26262626U,0xb0272427U,0xec262526U,0xec262526U,0xb2262626U,0x27262626U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x1c2b202bU,0xee272527U,0xff272527U,0xff230d13U,0xff260d14U,0xff272527U,0xee272527U,0x1c2b202bU,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x95262626U,0xff272527U,0xff5c2131U,0xffb94362U,0xffb94362U,0xff602333U,0xff272527U,0x95262626U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xcc262526U,0xff1e0b10U,0xffb94362U,0xffb94362U,0xffb94362U,0xffb94362U,0xff1d0b0fU,0xcc262526U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xe0272527U,0xfc272527U,0xff8b324aU,0xffb94362U,0xffb94362U,0xffb54260U,0xf2262526U,0xe0272527U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x3f282428U,0xe8272527U,0xff272527U,0xff220c12U,0xff3b161fU,0xff7b2d41U,0xff5c2231U,0xff272527U,0xe8272527U,0x3e262626U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x3c262626U,0xf2272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff2f1119U,0xfd272527U,0xff272527U,0xff272527U,0xff272527U,0xf3272527U,0x3a292329U,0x00000000U,
  0x00000000U,0x9d262526U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff260e14U,0xff260e14U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0x9c262626U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff32121aU,0xffb94362U,0xffb94362U,0xff32121aU,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff491a26U,0xffb94362U,0xffb94362U,0xff491a26U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff200c11U,0xff92354dU,0xff8e344bU,0xff200c11U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff4b1b28U,0xffb94362U,0xffb94362U,0xff461925U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff1e0b10U,0xffb94362U,0xffb94362U,0xffb94362U,0xffb74361U,0xff1b0a0eU,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0xb0272427U,0xff272527U,0xff272527U,0xff272527U,0xff240d13U,0xffb94362U,0xffb94362U,0xffb94362U,0xffb54260U,0xff1c0a0fU,0xff272527U,0xff272527U,0xff272527U,0xb0272427U,0x00000000U,
  0x00000000U,0x8c272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff240d13U,0xff280e15U,0xff280e15U,0xff230d13U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0x8a272527U,0x00000000U,
  0x00000000U,0x25262626U,0xc0262626U,0xfe272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xff272527U,0xc2262526U,0x21262626U,0x00000000U,
];

static immutable uint[256] baph16Gray = [
  0x00000000U,0x00000000U,0x00000000U,0x05afafafU,0x00000000U,0x50c1c1c1U,0x9d4d4d4dU,0xc0383838U,0xc0393939U,0xa64b4b4bU,0x65adadadU,0x00000000U,0x05888888U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x35bebebeU,0xfd383838U,0xff000000U,0xfa000000U,0xfc000000U,0xfc000000U,0xfb000000U,0xfd000000U,0xff303030U,0x56bababaU,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x5b989898U,0xff3d3d3dU,0xfe1e1e1eU,0xff5b5b5bU,0xff4e4e4eU,0xff4c4c4cU,0xff4a4a4aU,0xff4e4e4eU,0xff5e5e5eU,0xff121212U,0xff111111U,0x8aa4a4a4U,0x00000000U,0x00000000U,
  0x04c0c0c0U,0x2be9e9e9U,0xff060606U,0xff1d1d1dU,0xff949494U,0xff080808U,0xff030303U,0xff030303U,0xff030303U,0xff030303U,0xff000000U,0xff949494U,0xff141414U,0xff000000U,0x54cfcfcfU,0x04a2a2a2U,
  0x00000000U,0xed434343U,0xfd000000U,0xff686868U,0xff000000U,0xffaaaaaaU,0xff4a4a4aU,0xff000000U,0xff000000U,0xff4d4d4dU,0xff9f9f9fU,0xff000000U,0xff5e5e5eU,0xff000000U,0xff424242U,0x00000000U,
  0x31ffffffU,0xff000000U,0xff4b4b4bU,0xff000000U,0xff000000U,0xff545454U,0xff737373U,0xff686868U,0xff5c5c5cU,0xff5d5d5dU,0xff4b4b4bU,0xff000000U,0xff000000U,0xff575757U,0xff000000U,0x5dd8d8d8U,
  0x7d6b6b6bU,0xfa000000U,0xff4b4b4bU,0xff000000U,0xff020202U,0xff1c1c1cU,0xff515151U,0xff575757U,0xff5b5b5bU,0xff444444U,0xff181818U,0xff020202U,0xff020202U,0xff4b4b4bU,0xfa000000U,0xa2656565U,
  0xa04e4e4eU,0xfa000000U,0xff484848U,0xff040404U,0xff000000U,0xff373737U,0xff4b4b4bU,0xff414141U,0xff434343U,0xff5d5d5dU,0xff3b3b3bU,0xff000000U,0xff030303U,0xff484848U,0xfc000000U,0xc14d4d4dU,
  0x9e4f4f4fU,0xfa000000U,0xff4b4b4bU,0xff020202U,0xff777777U,0xff434343U,0xff575757U,0xffa9a9a9U,0xff6e6e6eU,0xff636363U,0xff3c3c3cU,0xff6e6e6eU,0xff000000U,0xff4c4c4cU,0xfc000000U,0xbf4e4e4eU,
  0x7a696969U,0xfb2b2b2bU,0xff5e5e5eU,0xff919191U,0xff585858U,0xff737373U,0xff707070U,0xff323232U,0xff464646U,0xff606060U,0xff787878U,0xff767676U,0xff999999U,0xff606060U,0xfa272727U,0x9c696969U,
  0x29ffffffU,0xff353535U,0xff343434U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff464646U,0xff4c4c4cU,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff434343U,0xff060606U,0x52f1f1f1U,
  0x00000000U,0xe0545454U,0xfc000000U,0xff6d6d6dU,0xff000000U,0xff000000U,0xff000000U,0xff717171U,0xff666666U,0xff000000U,0xff000000U,0xff000000U,0xff666666U,0xfe000000U,0xfe4e4e4eU,0x00000000U,
  0x03d0d0d0U,0x1cffffffU,0xff111111U,0xff000000U,0xff707070U,0xff000000U,0xff010101U,0xff393939U,0xff3a3a3aU,0xff040404U,0xff000000U,0xff646464U,0xff070707U,0xff080808U,0x3bf1f1f1U,0x05d4d4d4U,
  0x00000000U,0x03131313U,0x45b2b2b2U,0xff101010U,0xfd000000U,0xff4a4a4aU,0xff4c4c4cU,0xff595959U,0xff585858U,0xff4b4b4bU,0xff4e4e4eU,0xfe000000U,0xff080808U,0x69b5b5b5U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x03000000U,0x20ffffffU,0xf04c4c4cU,0xff000000U,0xf9000000U,0xfb242424U,0xfb242424U,0xf9000000U,0xff000000U,0xf9484848U,0x36f7f7f7U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x04d7d7d7U,0x00000000U,0x38ffffffU,0x8e6a6a6aU,0xac424242U,0xaf4e4e4eU,0x92686868U,0x44f7f7f7U,0x00000000U,0x04d7d7d7U,0x00000000U,0x00000000U,0x00000000U,
];

static immutable uint[256] baph16Red = [
  0x00000000U,0x00000000U,0x00000000U,0x057676e5U,0x00000000U,0x509494ebU,0x9d171780U,0xc011115cU,0xc011115eU,0xa616167bU,0x657171e4U,0x00000000U,0x053232d9U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x358d8deaU,0xfd11115cU,0xff000000U,0xfa000000U,0xfc000000U,0xfc000000U,0xfb000000U,0xfd000000U,0xff0e0e4fU,0x568888e9U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x5b4d4ddeU,0xff121263U,0xfe080831U,0xff1b1b98U,0xff171780U,0xff17177eU,0xff161679U,0xff171780U,0xff1c1c9bU,0xff04041bU,0xff04041bU,0x8a6161e2U,0x00000000U,0x00000000U,
  0x049191eaU,0x2bd6d6f7U,0xff010108U,0xff08082fU,0xff4646ddU,0xff01010aU,0xff000003U,0xff000003U,0xff000003U,0xff000003U,0xff000000U,0xff4646ddU,0xff050520U,0xff000000U,0x54acacefU,0x045e5ee1U,
  0x00000000U,0xed14146dU,0xfd000000U,0xff1f1faeU,0xff000000U,0xff6d6de4U,0xff161679U,0xff000000U,0xff000000U,0xff171780U,0xff5959e0U,0xff000000U,0xff1c1c9bU,0xff000000U,0xff14146dU,0x00000000U,
  0x31fdfdfeU,0xff000000U,0xff16167bU,0xff000000U,0xff000000U,0xff19198cU,0xff2323c0U,0xff1f1faeU,0xff1b1b98U,0xff1c1c99U,0xff16167bU,0xff000000U,0xff000000U,0xff1a1a91U,0xff000000U,0x5db9b9f2U,
  0x7d2020b1U,0xfa000000U,0xff16167bU,0xff000000U,0xff000001U,0xff08082dU,0xff181885U,0xff1a1a91U,0xff1b1b98U,0xff14146fU,0xff070726U,0xff000001U,0xff000001U,0xff16167bU,0xfa000000U,0xa21f1fa8U,
  0xa0171780U,0xfa000000U,0xff161677U,0xff000003U,0xff000000U,0xff101059U,0xff16167bU,0xff13136aU,0xff14146dU,0xff1c1c99U,0xff111162U,0xff000000U,0xff000003U,0xff161677U,0xfc000000U,0xc1171780U,
  0x9e171782U,0xfa000000U,0xff16167bU,0xff000001U,0xff2424c7U,0xff14146dU,0xff1a1a91U,0xff6a6ae3U,0xff2121b6U,0xff1e1ea5U,0xff111162U,0xff2121b6U,0xff000000U,0xff17177eU,0xfc000000U,0xbf171780U,
  0x7a2020afU,0xfb0d0d46U,0xff1c1c9bU,0xff4141dcU,0xff1a1a91U,0xff2323c0U,0xff2222bbU,0xff0e0e51U,0xff151574U,0xff1d1d9eU,0xff2424c7U,0xff2424c5U,0xff5050dfU,0xff1d1d9eU,0xfa0b0b3eU,0x9c2020afU,
  0x29fdfdfeU,0xff0f0f56U,0xff0f0f56U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff151574U,0xff17177eU,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff14146dU,0xff010108U,0x52e5e5faU,
  0x00000000U,0xe019198cU,0xfc000000U,0xff2121b4U,0xff000000U,0xff000000U,0xff000000U,0xff2222bdU,0xff1f1fa8U,0xff000000U,0xff000000U,0xff000000U,0xff1f1fa8U,0xfe000000U,0xfe171780U,0x00000000U,
  0x03adadf0U,0x1cfdfdfeU,0xff04041bU,0xff000000U,0xff2222bbU,0xff000000U,0xff000000U,0xff11115eU,0xff111160U,0xff000003U,0xff000000U,0xff1e1ea7U,0xff01010aU,0xff01010aU,0x3be5e5faU,0x05b4b4f1U,
  0x00000000U,0x0305051eU,0x457979e6U,0xff040419U,0xfd000000U,0xff161679U,0xff17177eU,0xff1a1a93U,0xff1a1a91U,0xff16167bU,0xff171780U,0xfe000000U,0xff01010aU,0x698080e7U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x03000000U,0x20fdfdfeU,0xf017177eU,0xff000000U,0xf9000000U,0xfb0a0a39U,0xfb0a0a39U,0xf9000000U,0xff000000U,0xf9161677U,0x36eeeefbU,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x04b8b8f1U,0x00000000U,0x38fdfdfeU,0x8e2020afU,0xac14146dU,0xaf171780U,0x921f1faeU,0x44eeeefbU,0x00000000U,0x04b8b8f1U,0x00000000U,0x00000000U,0x00000000U,
];

static immutable uint[256] baph16Online = [
  0x00000000U,0x00000000U,0x00000000U,0x0578e381U,0x00000000U,0x5096e99dU,0x9d197e22U,0xc0125b19U,0xc0135c19U,0xa6187921U,0x6573e27dU,0x00000000U,0x0536d544U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x358fe897U,0xfd125b19U,0xff000000U,0xfa000000U,0xfc000000U,0xfc000000U,0xfb000000U,0xfd000000U,0xff104d15U,0x568ae792U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x5b50db5cU,0xff14611aU,0xfe09300dU,0xff1e9529U,0xff197e22U,0xff197c22U,0xff187720U,0xff197e22U,0xff1f982aU,0xff051a07U,0xff051a07U,0x8a64df6fU,0x00000000U,0x00000000U,
  0x0493e89aU,0x2bd7f6d9U,0xff010802U,0xff092e0cU,0xff4ad956U,0xff020902U,0xff000300U,0xff000300U,0xff000300U,0xff000300U,0xff000000U,0xff4ad956U,0xff061f08U,0xff000000U,0x54adeeb3U,0x0461de6cU,
  0x00000000U,0xed166b1dU,0xfd000000U,0xff23aa2fU,0xff000000U,0xff70e17aU,0xff187720U,0xff000000U,0xff000000U,0xff197e22U,0xff5cdd67U,0xff000000U,0xff1f982aU,0xff000000U,0xff166b1dU,0x00000000U,
  0x31fdfefdU,0xff000000U,0xff187921U,0xff000000U,0xff000000U,0xff1c8925U,0xff26bd34U,0xff23aa2fU,0xff1e9529U,0xff1f9729U,0xff187921U,0xff000000U,0xff000000U,0xff1d8e27U,0xff000000U,0x5dbaf1bfU,
  0x7d23ae2fU,0xfa000000U,0xff187921U,0xff000000U,0xff000100U,0xff092c0cU,0xff1a8324U,0xff1d8e27U,0xff1e9529U,0xff166d1eU,0xff07260aU,0xff000100U,0xff000100U,0xff187921U,0xfa000000U,0xa222a52dU,
  0xa0197e22U,0xfa000000U,0xff187520U,0xff000300U,0xff000000U,0xff125718U,0xff187921U,0xff15681cU,0xff166b1dU,0xff1f9729U,0xff13601aU,0xff000000U,0xff000300U,0xff187520U,0xfc000000U,0xc1197e22U,
  0x9e1a7f23U,0xfa000000U,0xff187921U,0xff000100U,0xff28c335U,0xff166b1dU,0xff1d8e27U,0xff6ce177U,0xff24b331U,0xff21a22cU,0xff13601aU,0xff24b331U,0xff000000U,0xff197c22U,0xfc000000U,0xbf197e22U,
  0x7a23ac2fU,0xfb0e4513U,0xff1f982aU,0xff45d852U,0xff1d8e27U,0xff26bd34U,0xff25b832U,0xff104f15U,0xff17721fU,0xff209b2aU,0xff28c335U,0xff27c235U,0xff54db60U,0xff209b2aU,0xfa0c3d10U,0x9c23ac2fU,
  0x29fdfefdU,0xff115417U,0xff115417U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff17721fU,0xff197c22U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff166b1dU,0xff010802U,0x52e6f9e7U,
  0x00000000U,0xe01c8925U,0xfc000000U,0xff24b130U,0xff000000U,0xff000000U,0xff000000U,0xff26b933U,0xff22a52dU,0xff000000U,0xff000000U,0xff000000U,0xff22a52dU,0xfe000000U,0xfe197e22U,0x00000000U,
  0x03afeeb4U,0x1cfdfefdU,0xff051a07U,0xff000000U,0xff25b832U,0xff000000U,0xff000000U,0xff135c19U,0xff135e1aU,0xff000300U,0xff000000U,0xff21a42dU,0xff020902U,0xff020902U,0x3be6f9e7U,0x05b5f0bbU,
  0x00000000U,0x03061d08U,0x457be485U,0xff051806U,0xfd000000U,0xff187720U,0xff197c22U,0xff1d9027U,0xff1d8e27U,0xff187921U,0xff197e22U,0xfe000000U,0xff020902U,0x6982e58bU,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x03000000U,0x20fdfefdU,0xf0197c22U,0xff000000U,0xf9000000U,0xfb0b380fU,0xfb0b380fU,0xf9000000U,0xff000000U,0xf9187520U,0x36eefbefU,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x04b9f0beU,0x00000000U,0x38fdfefdU,0x8e23ac2fU,0xac166b1dU,0xaf197e22U,0x9223aa2fU,0x44eefbefU,0x00000000U,0x04b9f0beU,0x00000000U,0x00000000U,0x00000000U,
];

static immutable uint[256] baph16Away = [
  0x00000000U,0x00000000U,0x00000000U,0x05d685afU,0x00000000U,0x50dfa0c1U,0x9d72254dU,0xc0521b37U,0xc0541b38U,0xa66d244aU,0x65d580acU,0x00000000U,0x05c34888U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x35dd9abdU,0xfd521b37U,0xff000000U,0xfa000000U,0xfc000000U,0xfc000000U,0xfb000000U,0xfd000000U,0xff46172fU,0x56dc95baU,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x5bcb6097U,0xff581d3bU,0xfe2b0e1dU,0xff872c5bU,0xff72254dU,0xff70254cU,0xff6c2349U,0xff72254dU,0xff8a2d5dU,0xff180710U,0xff180710U,0x8ad172a3U,0x00000000U,0x00000000U,
  0x04de9dbfU,0x2bf3dae7U,0xff070205U,0xff2a0d1cU,0xffc95a93U,0xff090206U,0xff030002U,0xff030002U,0xff030002U,0xff030002U,0xff000000U,0xffc95a93U,0xff1c0913U,0xff000000U,0x54e6b5ceU,0x04d06fa1U,
  0x00000000U,0xed612042U,0xfd000000U,0xff9b3268U,0xff000000U,0xffd47daaU,0xff6c2349U,0xff000000U,0xff000000U,0xff72254dU,0xffce6b9eU,0xff000000U,0xff8a2d5dU,0xff000000U,0xff612042U,0x00000000U,
  0x31fefdfeU,0xff000000U,0xff6d244aU,0xff000000U,0xff000000U,0xff7c2954U,0xffab3873U,0xff9b3268U,0xff872c5bU,0xff882d5cU,0xff6d244aU,0xff000000U,0xff000000U,0xff812a57U,0xff000000U,0x5deac1d6U,
  0x7d9e336aU,0xfa000000U,0xff6d244aU,0xff000000U,0xff010001U,0xff280d1bU,0xff762750U,0xff812a57U,0xff872c5bU,0xff632043U,0xff220b17U,0xff010001U,0xff010001U,0xff6d244aU,0xfa000000U,0xa2963165U,
  0xa072254dU,0xfa000000U,0xff6a2348U,0xff030002U,0xff000000U,0xff4f1a35U,0xff6d244aU,0xff5e1f40U,0xff612042U,0xff882d5cU,0xff571c3aU,0xff000000U,0xff030002U,0xff6a2348U,0xfc000000U,0xc172254dU,
  0x9e73264eU,0xfa000000U,0xff6d244aU,0xff010001U,0xffb13a77U,0xff612042U,0xff812a57U,0xffd37aa8U,0xffa2356dU,0xff933063U,0xff571c3aU,0xffa2356dU,0xff000000U,0xff70254cU,0xfc000000U,0xbf72254dU,
  0x7a9c3369U,0xfb3f142aU,0xff8a2d5dU,0xffc75690U,0xff812a57U,0xffab3873U,0xffa73670U,0xff481730U,0xff672246U,0xff8d2e5fU,0xffb13a77U,0xffb03976U,0xffcc6399U,0xff8d2e5fU,0xfa371225U,0x9c9c3369U,
  0x29fefdfeU,0xff4c1933U,0xff4c1933U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff672246U,0xff70254cU,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff612042U,0xff070205U,0x52f7e8f0U,
  0x00000000U,0xe07c2954U,0xfc000000U,0xffa1346cU,0xff000000U,0xff000000U,0xff000000U,0xffa83771U,0xff963165U,0xff000000U,0xff000000U,0xff000000U,0xff963165U,0xfe000000U,0xfe72254dU,0x00000000U,
  0x03e7b6cfU,0x1cfefdfeU,0xff180710U,0xff000000U,0xffa73670U,0xff000000U,0xff000000U,0xff541b38U,0xff551c39U,0xff030002U,0xff000000U,0xff953064U,0xff090206U,0xff090206U,0x3bf7e8f0U,0x05e9bcd3U,
  0x00000000U,0x031b0812U,0x45d788b1U,0xff16070fU,0xfd000000U,0xff6c2349U,0xff70254cU,0xff822b58U,0xff812a57U,0xff6d244aU,0xff72254dU,0xfe000000U,0xff090206U,0x69d98eb5U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x03000000U,0x20fefdfeU,0xf070254cU,0xff000000U,0xf9000000U,0xfb331022U,0xfb331022U,0xf9000000U,0xff000000U,0xf96a2348U,0x36faeff5U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x04eabfd5U,0x00000000U,0x38fefdfeU,0x8e9c3369U,0xac612042U,0xaf72254dU,0x929b3268U,0x44faeff5U,0x00000000U,0x04eabfd5U,0x00000000U,0x00000000U,0x00000000U,
];

static immutable uint[256] baph16Orange = [
  0x00000000U,0x00000000U,0x00000000U,0x0570a9ebU,0x00000000U,0x5090bcefU,0x9d124785U,0xc00d3360U,0xc00d3462U,0xa6114480U,0x656ba6eaU,0x00000000U,0x052a7ee1U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x3589b8eeU,0xfd0d3360U,0xff000000U,0xfa000000U,0xfc000000U,0xfc000000U,0xfb000000U,0xfd000000U,0xff0b2c52U,0x5683b4eeU,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x5b468fe5U,0xff0e3767U,0xfe071b32U,0xff15549eU,0xff124785U,0xff124683U,0xff11437eU,0xff124785U,0xff1656a1U,0xff030f1cU,0xff030f1cU,0x8a5b9ce8U,0x00000000U,0x00000000U,
  0x048cbaefU,0x2bd4e5f9U,0xff010408U,0xff061a31U,0xff3f8be4U,0xff01050aU,0xff000103U,0xff000103U,0xff000103U,0xff000103U,0xff000000U,0xff3f8be4U,0xff041121U,0xff000000U,0x54a8cbf3U,0x04579ae8U,
  0x00000000U,0xed0f3d72U,0xfd000000U,0xff1860b5U,0xff000000U,0xff67a3eaU,0xff11437eU,0xff000000U,0xff000000U,0xff124785U,0xff5297e7U,0xff000000U,0xff1656a1U,0xff000000U,0xff0f3d72U,0x00000000U,
  0x31fdfdfeU,0xff000000U,0xff114480U,0xff000000U,0xff000000U,0xff144e91U,0xff1b6bc8U,0xff1860b5U,0xff15549eU,0xff16559fU,0xff114480U,0xff000000U,0xff000000U,0xff145097U,0xff000000U,0x5db6d3f5U,
  0x7d1962b8U,0xfa000000U,0xff114480U,0xff000000U,0xff000001U,0xff06192fU,0xff134a8aU,0xff145097U,0xff15549eU,0xff0f3e74U,0xff051528U,0xff000001U,0xff000001U,0xff114480U,0xfa000000U,0xa2185eafU,
  0xa0124785U,0xfa000000U,0xff11427cU,0xff000103U,0xff000000U,0xff0c315dU,0xff114480U,0xff0f3b6eU,0xff0f3d72U,0xff16559fU,0xff0e3665U,0xff000000U,0xff000103U,0xff11427cU,0xfc000000U,0xc1124785U,
  0x9e124887U,0xfa000000U,0xff114480U,0xff000001U,0xff1c6fcfU,0xff0f3d72U,0xff145097U,0xff64a1e9U,0xff1a65bdU,0xff175cacU,0xff0e3665U,0xff1a65bdU,0xff000000U,0xff124683U,0xfc000000U,0xbf124785U,
  0x7a1961b6U,0xfb0a2749U,0xff1656a1U,0xff3a88e3U,0xff145097U,0xff1b6bc8U,0xff1a68c3U,0xff0b2d54U,0xff104079U,0xff1658a5U,0xff1c6fcfU,0xff1c6ecdU,0xff4991e6U,0xff1658a5U,0xfa082241U,0x9c1961b6U,
  0x29fdfdfeU,0xff0c3059U,0xff0c3059U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff104079U,0xff124683U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff0f3d72U,0xff010408U,0x52e4effbU,
  0x00000000U,0xe0144e91U,0xfc000000U,0xff1964bcU,0xff000000U,0xff000000U,0xff000000U,0xff1b69c4U,0xff185eafU,0xff000000U,0xff000000U,0xff000000U,0xff185eafU,0xfe000000U,0xfe124785U,0x00000000U,
  0x03aaccf3U,0x1cfdfdfeU,0xff030f1cU,0xff000000U,0xff1a68c3U,0xff000000U,0xff000000U,0xff0d3462U,0xff0d3564U,0xff000103U,0xff000000U,0xff175daeU,0xff01050aU,0xff01050aU,0x3be4effbU,0x05b1d0f4U,
  0x00000000U,0x0304101fU,0x4574abebU,0xff030e1aU,0xfd000000U,0xff11437eU,0xff124683U,0xff155198U,0xff145097U,0xff114480U,0xff124785U,0xfe000000U,0xff01050aU,0x697bafecU,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x03000000U,0x20fdfdfeU,0xf0124683U,0xff000000U,0xf9000000U,0xfb08203bU,0xfb08203bU,0xf9000000U,0xff000000U,0xf911427cU,0x36edf4fcU,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x04b5d2f4U,0x00000000U,0x38fdfdfeU,0x8e1961b6U,0xac0f3d72U,0xaf124785U,0x921860b5U,0x44edf4fcU,0x00000000U,0x04b5d2f4U,0x00000000U,0x00000000U,0x00000000U,
];

static immutable uint[256] baph16Busy = [
  0x00000000U,0x00000000U,0x00000000U,0x05d6d685U,0x00000000U,0x50dfdfa0U,0x9d717125U,0xc052521bU,0xc053531bU,0xa66d6d24U,0x65d4d480U,0x00000000U,0x05c2c249U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x35dddd9aU,0xfd52521bU,0xff000000U,0xfa000000U,0xfc000000U,0xfc000000U,0xfb000000U,0xfd000000U,0xff464617U,0x56dcdc95U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x5bcaca61U,0xff58581dU,0xfe2b2b0eU,0xff87872dU,0xff717125U,0xff707025U,0xff6b6b23U,0xff717125U,0xff89892dU,0xff171707U,0xff171707U,0x8ad0d073U,0x00000000U,0x00000000U,
  0x04dede9dU,0x2bf2f2dbU,0xff070702U,0xff29290dU,0xffc8c85bU,0xff080802U,0xff020200U,0xff020200U,0xff020200U,0xff020200U,0xff000000U,0xffc8c85bU,0xff1c1c09U,0xff000000U,0x54e6e6b5U,0x04cfcf70U,
  0x00000000U,0xed616120U,0xfd000000U,0xff9a9a33U,0xff000000U,0xffd3d37dU,0xff6b6b23U,0xff000000U,0xff000000U,0xff717125U,0xffcece6cU,0xff000000U,0xff89892dU,0xff000000U,0xff616120U,0x00000000U,
  0x31fefefdU,0xff000000U,0xff6d6d24U,0xff000000U,0xff000000U,0xff7c7c29U,0xffabab39U,0xff9a9a33U,0xff87872dU,0xff88882dU,0xff6d6d24U,0xff000000U,0xff000000U,0xff80802bU,0xff000000U,0x5deaeac1U,
  0x7d9d9d34U,0xfa000000U,0xff6d6d24U,0xff000000U,0xff010100U,0xff28280dU,0xff767627U,0xff80802bU,0xff87872dU,0xff636321U,0xff22220bU,0xff010100U,0xff010100U,0xff6d6d24U,0xfa000000U,0xa2969631U,
  0xa0717125U,0xfa000000U,0xff6a6a23U,0xff020200U,0xff000000U,0xff4f4f1aU,0xff6d6d24U,0xff5e5e1fU,0xff616120U,0xff88882dU,0xff57571cU,0xff000000U,0xff020200U,0xff6a6a23U,0xfc000000U,0xc1717125U,
  0x9e737326U,0xfa000000U,0xff6d6d24U,0xff010100U,0xffb0b03bU,0xff616120U,0xff80802bU,0xffd2d27bU,0xffa1a135U,0xff939331U,0xff57571cU,0xffa1a135U,0xff000000U,0xff707025U,0xfc000000U,0xbf717125U,
  0x7a9c9c33U,0xfb3f3f14U,0xff89892dU,0xffc7c757U,0xff80802bU,0xffabab39U,0xffa6a637U,0xff474717U,0xff676722U,0xff8d8d2fU,0xffb0b03bU,0xffafaf3aU,0xffcbcb64U,0xff8d8d2fU,0xfa373712U,0x9c9c9c33U,
  0x29fefefdU,0xff4c4c19U,0xff4c4c19U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff676722U,0xff707025U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff616120U,0xff070702U,0x52f7f7e8U,
  0x00000000U,0xe07c7c29U,0xfc000000U,0xffa0a035U,0xff000000U,0xff000000U,0xff000000U,0xffa7a737U,0xff969631U,0xff000000U,0xff000000U,0xff000000U,0xff969631U,0xfe000000U,0xfe717125U,0x00000000U,
  0x03e7e7b7U,0x1cfefefdU,0xff171707U,0xff000000U,0xffa6a637U,0xff000000U,0xff000000U,0xff53531bU,0xff55551cU,0xff020200U,0xff000000U,0xff949431U,0xff080802U,0xff080802U,0x3bf7f7e8U,0x05e8e8bcU,
  0x00000000U,0x031a1a08U,0x45d7d788U,0xff161607U,0xfd000000U,0xff6b6b23U,0xff707025U,0xff82822bU,0xff80802bU,0xff6d6d24U,0xff717125U,0xfe000000U,0xff080802U,0x69d9d98eU,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x03000000U,0x20fefefdU,0xf0707025U,0xff000000U,0xf9000000U,0xfb333310U,0xfb333310U,0xf9000000U,0xff000000U,0xf96a6a23U,0x36fafaefU,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x04eaeabfU,0x00000000U,0x38fefefdU,0x8e9c9c33U,0xac616120U,0xaf717125U,0x929a9a33U,0x44fafaefU,0x00000000U,0x04eaeabfU,0x00000000U,0x00000000U,0x00000000U,
];

static immutable uint[256] kittyOutgoing = [
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xffd7c0b0U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xffd4bcabU,0xffcdae98U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0xffddcabdU,0xffdac5b7U,0xffd8c1b1U,0xffd7c0b0U,0xffd8c1b1U,0xffd7c0b1U,0xffd5bdacU,0xffe3beacU,0xffe1b9a5U,0xffc7a58bU,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0xffdcc7b9U,0xffe8c6b8U,0xffffc9bfU,0xfffdc6baU,0xffffc8bbU,0xffffccc0U,0xfffecbbcU,0xfff9c4b5U,0xfffcc6b4U,0xffffc8b6U,0xffdfb39cU,0xffc7a389U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0xffd6c0afU,0xfffec4b9U,0xffffc0b4U,0xff514d58U,0xfffec0b2U,0xffffc5b8U,0xfffdc4b3U,0xfff9c0aeU,0xff655e72U,0xffffc6b3U,0xfffec4b0U,0xffdfb099U,0xffc6a389U,0x00000000U,0x00000000U,0x00000000U,
  0xffd3baa9U,0xfffdbeb2U,0xfffdbbadU,0xff343139U,0xff4a4751U,0xff585460U,0xff56525fU,0xff4a4652U,0xff565060U,0xffffc4b2U,0xfffec2aeU,0xfffcbca9U,0xffdeac96U,0xffc4a085U,0x00000000U,0x00000000U,
  0xffd3b8a6U,0xfffcbaafU,0xffd9a29bU,0xff242227U,0xff3a373fU,0xff3c3942U,0xff403d47U,0xff3a3740U,0xff403c48U,0xffe6b3a6U,0xfffdbfacU,0xfffbb9a7U,0xfffbb6a3U,0xffd8a289U,0xffbf977aU,0x00000000U,
  0xffd2b8a5U,0xfffcb8aeU,0xff8d7070U,0xff28262bU,0xff57ff25U,0xff494551U,0xff47434fU,0xff57ff25U,0xff333039U,0xff88737bU,0xfffdbcabU,0xfff9b5a2U,0xfff8b19cU,0xfff2a48eU,0xffcf9378U,0xffbb9070U,
  0xffd1b7a4U,0xfffcb7acU,0xff2b2a2eU,0xff29272dU,0xff57ff25U,0xff322f37U,0xff2f2c34U,0xff57ff25U,0xff2c2a32U,0xff3f3a47U,0xfffbb8a6U,0xfff5ae9aU,0xfff3a993U,0xffd1967aU,0xffb98d6dU,0x00000000U,
  0xffcfb29eU,0xfffeb5acU,0xff8f6968U,0xff36333aU,0xff312e36U,0xff413d47U,0xff39353fU,0xff312e37U,0xff3d3945U,0xff6c585bU,0xfff7b29fU,0xfff2a893U,0xffd1967aU,0xffb98b6dU,0x00000000U,0x00000000U,
  0xffc9a88fU,0xfffcb0a5U,0xffdf9b94U,0xff745c5fU,0xff5b5663U,0xff6a6573U,0xff615c6cU,0xff565261U,0xff877279U,0xffd59e93U,0xfff3aa96U,0xffd2987cU,0xffb98b6cU,0x00000000U,0x00000000U,0x00000000U,
  0xffc49f84U,0xffd8a08bU,0xfff2a093U,0xffef9e90U,0xfff2a495U,0xfff3a99aU,0xfff4ab9bU,0xfff7b4a3U,0xfff6b3a2U,0xfff2aa97U,0xffd1987cU,0xffb98b6cU,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0xffbc9374U,0xffbc9072U,0xffbb9070U,0xffbb9070U,0xffbc9173U,0xffbc9374U,0xffbd9475U,0xffd39c83U,0xffd1977cU,0xffb98b6cU,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xffb98d6dU,0xffb88b6cU,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xffb98d6dU,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
];

static immutable uint[256] kittyMessage = [
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0xff585460U,0xff5a5662U,0xff605d68U,0xff625f6aU,0xff5c5864U,0xff585460U,0xff5a5662U,0xff605d68U,0xff625f6aU,0xff5c5864U,0xff585460U,0xff585460U,0xff585460U,0xff585460U,0xff585460U,0xff585460U,
  0xff000000U,0xffb4cadcU,0xffc2d5e3U,0xffc9d9e6U,0xffc1d4e2U,0xffbbd0e0U,0xffbfd2e2U,0xffc8d9e6U,0xffcadae7U,0xffbdd2e3U,0xffb6cde0U,0xffb7cfe2U,0xffb7cfe2U,0xffb8d0e3U,0xffb9d1e4U,0xff000000U,
  0xff000000U,0xffbbd0e0U,0xffd4e2ecU,0xff514d58U,0xffdee8f0U,0xffd9e5eeU,0xffdbe7eeU,0xffdfe9f0U,0xff655e72U,0xffc6d8e5U,0xffbababaU,0xff888888U,0xff888888U,0xff888888U,0xffb8d0e2U,0xff000000U,
  0xff040404U,0xffc4d7e6U,0xffdde8f0U,0xff343139U,0xff4a4751U,0xff585460U,0xff56525fU,0xff4a4652U,0xff565060U,0xffcedeeaU,0xffb8d0e1U,0xffb7cfe1U,0xffb8d0e2U,0xffb9d1e3U,0xffbad2e4U,0xff000000U,
  0xff0e0e0eU,0xffcfe0ecU,0xffc6ccd4U,0xff242227U,0xff3a373fU,0xff3c3942U,0xff403d47U,0xff3a3740U,0xff403c48U,0xffc4cfd9U,0xffc0d5e5U,0xffbababaU,0xff636363U,0xffbababaU,0xffbcd4e6U,0xff000000U,
  0xff181919U,0xffd8e6f1U,0xff85878fU,0xff28262bU,0xff57ff25U,0xff494551U,0xff47434fU,0xff57ff25U,0xff333039U,0xff7f7e8dU,0xffc8dbe9U,0xffbad2e4U,0xffbcd4e6U,0xffbdd5e7U,0xffbed6e8U,0xff000000U,
  0xff1a1a1aU,0xffdae8f2U,0xff2b2a2eU,0xff29272dU,0xff57ff25U,0xff322f37U,0xff2f2c34U,0xff57ff25U,0xff2c2a32U,0xff3f3a47U,0xffcbdeecU,0xff888888U,0xff888888U,0xffbababaU,0xffc1d9eaU,0xff000000U,
  0xff101111U,0xffd4e3efU,0xff858990U,0xff36333aU,0xff312e36U,0xff413d47U,0xff39353fU,0xff312e37U,0xff3d3945U,0xff64656fU,0xffcaddecU,0xffc1d8e9U,0xffc2d9eaU,0xffc3dbebU,0xffc5dcedU,0xff000000U,
  0xff060606U,0xffcaddebU,0xffc6d1dbU,0xff6f7078U,0xff5b5663U,0xff6a6573U,0xff615c6cU,0xff565261U,0xff7f7f8dU,0xffb8c5d1U,0xffc7ddebU,0xff888888U,0xffbababaU,0xff636363U,0xffc8dfefU,0xff000000U,
  0xff000000U,0xffc4dae9U,0xffc9ddebU,0xffd0e2eeU,0xffd3e4f0U,0xffd5e6f1U,0xffd4e5f0U,0xffd3e5f1U,0xffcfe2efU,0xffc9dfedU,0xffc7deedU,0xffc7deedU,0xffc8dfeeU,0xffc9e0efU,0xffcae1f0U,0xff000000U,
  0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
  0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,
];

static immutable uint[256] kittyFish16 = [
  0x00000000U,0xff514d58U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xff655e72U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xff6a6574U,0xff676271U,0xff7a7485U,0x00000000U,
  0x00000000U,0xff343139U,0xff4a4751U,0xff585460U,0xff56525fU,0xff4a4652U,0xff565060U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xff5a5662U,0xff3b3840U,0xff3a3740U,0xff434049U,0xff757081U,
  0x00000000U,0xff242227U,0xff3a373fU,0xff3c3942U,0xff403d47U,0xff3a3740U,0xff403c48U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xff413e47U,0xff46434dU,0x00000000U,0xff423f48U,0xff57535fU,
  0xff3b3940U,0xff28262bU,0xff57ff25U,0xff494551U,0xff47434fU,0xff57ff25U,0xff333039U,0xff5a5466U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xff45424bU,0xff53505aU,
  0xff2b2a2eU,0xff29272dU,0xff57ff25U,0xff322f37U,0xff2f2c34U,0xff57ff25U,0xff2c2a32U,0xff3f3a47U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0x00000000U,0xff48454eU,0xff47444dU,0xff5a5662U,
  0xff2d2b32U,0xff36333aU,0xff312e36U,0xff413d47U,0xff39353fU,0xff312e37U,0xff3d3945U,0xff35323cU,0xff1e1c22U,0xff000000U,0xff000000U,0xff232127U,0xff413e48U,0xff3a3740U,0xff424049U,0x00000000U,
  0x00000000U,0xff423f48U,0xff5b5663U,0xff6a6573U,0xff615c6cU,0xff565261U,0xff5a5565U,0xff55505fU,0xff000000U,0xff07a5feU,0xff09aafdU,0xff000000U,0xff1e1c21U,0xff3a3740U,0x00000000U,0x00000000U,
  0xff000000U,0xff000000U,0xff000000U,0xff2e2b32U,0xff726c7fU,0xff716b7eU,0xff2e2c33U,0xff000000U,0xff000000U,0xff000000U,0xff0cb5feU,0xff0eb9feU,0xff000000U,0xff1d1c20U,0xff6e6978U,0x00000000U,
  0xff0198fcU,0xff029efcU,0xff02a3fbU,0xff000000U,0xff322f37U,0xff312e36U,0xff000000U,0xff05a7feU,0xff07aefdU,0xff0ab8feU,0xff0cc0feU,0xff10c6feU,0xff0fc1feU,0xff000000U,0xff27252aU,0x00000000U,
  0xff000000U,0xff02a4fcU,0xff03affeU,0xff03b1fdU,0xff000000U,0xff000000U,0xff05abfeU,0xff07b2feU,0xff0abdffU,0xff0cc6feU,0xff10cdfeU,0xff12d1ffU,0xff11cefeU,0xff14c4ffU,0xff000000U,0xff696969U,
  0xff000000U,0xff02a5fcU,0xff04b2fdU,0xff06bafdU,0xff07b9feU,0xff07b5feU,0xff09b8ffU,0xff0bc1ffU,0xff0cc9ffU,0xff0ed0feU,0xff10d4feU,0xff11d6ffU,0xff12d7ffU,0xff16cfffU,0xff1ac2ffU,0xff000000U,
  0xff696969U,0xff000000U,0xff04b2fdU,0xff07bffdU,0xff08c2feU,0xff08c2feU,0xff0bc6ffU,0xff0ccbffU,0xff0ed2ffU,0xff10d6feU,0xff11d8ffU,0xff12d9ffU,0xff13d9ffU,0xff424046U,0xff1acbfeU,0xff000000U,
  0xff696969U,0xff000000U,0xff05adfdU,0xff07bcfcU,0xff0ac5feU,0xff0bc8feU,0xff0dc9ffU,0xff0ecefeU,0xff0ed3feU,0xff0fd6fdU,0xff10d7feU,0xff12d9ffU,0xff11dbffU,0xff17daffU,0xff1bcffeU,0xff000000U,
  0xff000000U,0xff029ffbU,0xff04acfdU,0xff07bafeU,0xff000000U,0xff000000U,0xff0bc5feU,0xff0dcafdU,0xff0ecffeU,0xff0fd4ffU,0xff10d7feU,0xff12d9ffU,0xff11daffU,0xff14d8ffU,0xff000000U,0xff232226U,
  0xff0296fcU,0xff04a1fbU,0xff06adfdU,0xff000000U,0xff000000U,0xff08b5fdU,0xff000000U,0xff0abffcU,0xff0dc7feU,0xff0ecdfeU,0xff0fd1feU,0xff10d3ffU,0xff0fd3ffU,0xff000000U,0xff242327U,0xff55515bU,
  0xff000000U,0xff000000U,0xff000000U,0xff696969U,0xff696969U,0xff000000U,0xff696969U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff000000U,0xff262627U,0xff514f56U,0xff5d5b62U,
];
